      subroutine get_smflux
      


      use Agrif_Util
#include "Param_BeforeCall_get_smflux.h"
      

        call Sub_Loop_get_smflux( Agrif_tabvars_i(14)%iarray0, Agrif_tab
     &vars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)
     &%iarray0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_i(176)%iarray0,
     & Agrif_tabvars(260)%array1, Agrif_tabvars(262)%array3, Agrif_tabva
     &rs(261)%array1, Agrif_tabvars(263)%array3, Agrif_tabvars_r(3)%arra
     &y0, Agrif_tabvars_r(5)%array0, Agrif_tabvars_r(12)%array0, Agrif_t
     &abvars_r(85)%array0, Agrif_tabvars(259)%array1, Agrif_tabvars_i(31
     &9)%iarray0, Agrif_tabvars_i(320)%iarray0, Agrif_tabvars_r(86)%arra
     &y0, Agrif_tabvars_i(31)%iarray0, Agrif_tabvars_i(317)%iarray0, Agr
     &if_tabvars_i(314)%iarray0, Agrif_tabvars_i(318)%iarray0, Agrif_tab
     &vars_i(315)%iarray0, Agrif_tabvars_c(18)%carray2, Agrif_tabvars_i(
     &316)%iarray0, Agrif_tabvars_i(28)%iarray0, Agrif_tabvars_c(10)%car
     &ray0, Agrif_tabvars_i(147)%iarray0, Agrif_tabvars_i(321)%iarray0, 
     &Agrif_tabvars_i(167)%iarray0)

      end


#include "Sub_Loop_get_smflux.h"
      subroutine set_smflux_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_set_smflux_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_set_smflux_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars
     &_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%ia
     &rray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarray0, A
     &grif_tabvars_r(8)%array0, Agrif_tabvars_l(6)%larray0, Agrif_tabvar
     &s(260)%array1, Agrif_tabvars(261)%array1, Agrif_tabvars(262)%array
     &3, Agrif_tabvars(264)%array2, Agrif_tabvars(263)%array3, Agrif_tab
     &vars_r(85)%array0, Agrif_tabvars(265)%array2, Agrif_tabvars_i(317)
     &%iarray0, Agrif_tabvars_i(318)%iarray0, Agrif_tabvars_i(158)%iarra
     &y0, Agrif_tabvars_i(147)%iarray0, Agrif_tabvars_r(86)%array0, Agri
     &f_tabvars(259)%array1, Agrif_tabvars_r(3)%array0, Agrif_tabvars_r(
     &5)%array0, Agrif_tabvars_i(321)%iarray0, Agrif_tabvars_l(13)%larra
     &y0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_l(14)%larray0, Agrif
     &_tabvars_l(11)%larray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_
     &l(12)%larray0)

      end


#include "Sub_Loop_set_smflux_tile.h"
